Skip to content

Initiate Zone Transfer.

POST
/api/config/dns/namespaces/system/dns_zone/initiate_zone_transfer
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/dns/namespaces/system/dns_zone/initiate_zone_transfer \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "namespace": "example", "zone_name": "example" }'

Initiate zone transfer for secondary zone.

Examples of this operation.

Media typeapplication/json
Initiate Zone Transfer Request
object
namespace
Namespace

Namespace is always system for dns_zone.

string
>= 1 characters <= 63 characters /^[a-z]([-a-z0-9]*[a-z0-9])?$/
zone_name
Zone Name

Human-readable name for the resource

string
<= 1024 characters
Examplegenerated
{
"namespace": "example",
"zone_name": "example"
}

A successful response.

Media typeapplication/json
Initiate Zone Transfer Response
object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example